librevenge::RVNGString Class Reference documentation

librevenge::RVNGString Class Reference

UTF-8 string. More...

`#include <RVNGString.h>`

## Classes
class | Iter

## Public Member Functions
| RVNGString ()
| RVNGString (const RVNGString &other)
| RVNGString (const char *str)
| RVNGString (std::string &&)
| ~RVNGString ()
const char * | cstr () const
int | len () const
| Return the number of UTF-8 characters.
unsigned long | size () const
| Return the size in bytes of the data buffer.
bool | empty () const
void | sprintf (const char *format,...) REVENGE_ATTRIBUTE_PRINTF(2
void void | append (const RVNGString &s)
void | append (const char *s)
void | append (const char c)
void | appendEscapedXML (const RVNGString &s)
| Append the content of s as escaped XML.
void | appendEscapedXML (const char *s)
| Append the content of s as escaped XML.
void | clear ()
RVNGString & | operator= (const RVNGString &str)
RVNGString & | operator= (const char *s)
bool | operator== (const char *s) const
bool | operator== (const RVNGString &str) const
bool | operator!= (const char *s) const
bool | operator!= (const RVNGString &str) const
bool | operator< (const char *s) const
bool | operator< (const RVNGString &str) const
bool | operator<= (const char *s) const
bool | operator<= (const RVNGString &str) const
bool | operator>= (const char *s) const
bool | operator>= (const RVNGString &str) const
bool | operator> (const char *s) const
bool | operator> (const RVNGString &str) const

## Static Public Member Functions
static RVNGString | escapeXML (const RVNGString &s)
| Create a new string from s as escaped XML.
static RVNGString | escapeXML (const char *s)
| Create a new string from s as escaped XML.

## Private Attributes
RVNGStringImpl * | m_stringImpl

## Detailed Description

UTF-8 string.

## Constructor & Destructor Documentation

## ◆ RVNGString() [1/4]

librevenge::RVNGString::RVNGString | ( |  | ) |

Referenced by append(), appendEscapedXML(), escapeXML(), escapeXML(), librevenge::RVNGString::Iter::Iter(), operator!=(), operator<(), operator<=(), operator=(), operator=(), operator==(), operator>(), operator>=(), and RVNGString().

## ◆ RVNGString() [2/4]

librevenge::RVNGString::RVNGString | ( | const RVNGString & | other | ) |

## ◆ RVNGString() [3/4]

librevenge::RVNGString::RVNGString | ( | const char * | str | ) |

## ◆ RVNGString() [4/4]

librevenge::RVNGString::RVNGString | ( | std::string && | str | ) |

## ◆ ~RVNGString()

librevenge::RVNGString::~RVNGString | ( |  | ) |

## Member Function Documentation

## ◆ append() [1/3]

void librevenge::RVNGString::append | ( | const char * | s | ) |

## ◆ append() [2/3]

void librevenge::RVNGString::append | ( | const char | c | ) |

## ◆ append() [3/3]

void librevenge::RVNGString::append | ( | const RVNGString & | s | ) |

Referenced by librevenge::RVNGPropertyList::getPropString(), librevenge::RVNGPropertyListVector::getPropString(), librevenge::RVNGInchProperty::getStr(), librevenge::RVNGPercentProperty::getStr(), librevenge::RVNGPointProperty::getStr(), sprintf(), librevenge::RVNGSVGDrawingGenerator::startLayer(), and librevenge::RVNGSVGPresentationGenerator::startLayer().

## ◆ appendEscapedXML() [1/2]

void librevenge::RVNGString::appendEscapedXML | ( | const char * | s | ) |

Append the content of s as escaped XML.

See also
  escapeXML(const char*)

## ◆ appendEscapedXML() [2/2]

void librevenge::RVNGString::appendEscapedXML | ( | const RVNGString & | s | ) |

Append the content of s as escaped XML.

See also
  escapeXML(const RVNGString&)

Referenced by escapeXML(), escapeXML(), librevenge::RVNGSVGDrawingGenerator::startLayer(), and librevenge::RVNGSVGPresentationGenerator::startLayer().

## ◆ clear()

void librevenge::RVNGString::clear | ( |  | ) |

Referenced by operator=(), and sprintf().

## ◆ cstr()

const char * librevenge::RVNGString::cstr | ( |  | ) | const

Referenced by librevenge::RVNGBinaryData::appendBase64Data(), appendEscapedXML(), librevenge::RVNGRawDrawingGenerator::defineCharacterStyle(), librevenge::RVNGRawPresentationGenerator::defineCharacterStyle(), librevenge::RVNGRawSpreadsheetGenerator::defineCharacterStyle(), librevenge::RVNGRawTextGenerator::defineCharacterStyle(), librevenge::RVNGRawPresentationGenerator::defineChartStyle(), librevenge::RVNGRawSpreadsheetGenerator::defineChartStyle(), librevenge::RVNGRawDrawingGenerator::defineEmbeddedFont(), librevenge::RVNGRawPresentationGenerator::defineEmbeddedFont(), librevenge::RVNGRawSpreadsheetGenerator::defineEmbeddedFont(), librevenge::RVNGRawTextGenerator::defineEmbeddedFont(), librevenge::RVNGRawSpreadsheetGenerator::defineGraphicStyle(), librevenge::RVNGRawTextGenerator::defineGraphicStyle(), librevenge::RVNGRawSpreadsheetGenerator::definePageStyle(), librevenge::RVNGRawTextGenerator::definePageStyle(), librevenge::RVNGRawDrawingGenerator::defineParagraphStyle(), librevenge::RVNGRawPresentationGenerator::defineParagraphStyle(), librevenge::RVNGRawSpreadsheetGenerator::defineParagraphStyle(), librevenge::RVNGRawTextGenerator::defineParagraphStyle(), librevenge::RVNGRawSpreadsheetGenerator::defineSectionStyle(), librevenge::RVNGRawTextGenerator::defineSectionStyle(), librevenge::RVNGRawSpreadsheetGenerator::defineSheetNumberingStyle(), librevenge::RVNGRawDrawingGenerator::drawConnector(), librevenge::RVNGRawPresentationGenerator::drawConnector(), librevenge::RVNGRawSpreadsheetGenerator::drawConnector(), librevenge::RVNGRawTextGenerator::drawConnector(), librevenge::RVNGRawDrawingGenerator::drawEllipse(), librevenge::RVNGRawPresentationGenerator::drawEllipse(), librevenge::RVNGRawSpreadsheetGenerator::drawEllipse(), librevenge::RVNGRawTextGenerator::drawEllipse(), librevenge::RVNGRawDrawingGenerator::drawGraphicObject(), librevenge::RVNGRawPresentationGenerator::drawGraphicObject(), librevenge::RVNGRawDrawingGenerator::drawPath(), librevenge::RVNGRawPresentationGenerator::drawPath(), librevenge::RVNGRawSpreadsheetGenerator::drawPath(), librevenge::RVNGRawTextGenerator::drawPath(), librevenge::RVNGRawDrawingGenerator::drawPolygon(), librevenge::RVNGRawPresentationGenerator::drawPolygon(), librevenge::RVNGRawSpreadsheetGenerator::drawPolygon(), librevenge::RVNGRawTextGenerator::drawPolygon(), librevenge::RVNGRawDrawingGenerator::drawPolyline(), librevenge::RVNGRawPresentationGenerator::drawPolyline(), librevenge::RVNGRawSpreadsheetGenerator::drawPolyline(), librevenge::RVNGRawTextGenerator::drawPolyline(), librevenge::RVNGRawDrawingGenerator::drawRectangle(), librevenge::RVNGRawPresentationGenerator::drawRectangle(), librevenge::RVNGRawSpreadsheetGenerator::drawRectangle(), librevenge::RVNGRawTextGenerator::drawRectangle(), librevenge::RVNGPropertyList::getPropString(), librevenge::RVNGRawPresentationGenerator::insertAnimation(), librevenge::RVNGRawSpreadsheetGenerator::insertBinaryObject(), librevenge::RVNGRawTextGenerator::insertBinaryObject(), librevenge::RVNGRawPresentationGenerator::insertChartAxis(), librevenge::RVNGRawSpreadsheetGenerator::insertChartAxis(), librevenge::RVNGRawPresentationGenerator::insertColorAnimation(), librevenge::RVNGRawDrawingGenerator::insertCoveredTableCell(), librevenge::RVNGRawPresentationGenerator::insertCoveredTableCell(), librevenge::RVNGRawSpreadsheetGenerator::insertCoveredTableCell(), librevenge::RVNGRawTextGenerator::insertCoveredTableCell(), librevenge::RVNGRawPresentationGenerator::insertEffect(), librevenge::RVNGRawSpreadsheetGenerator::insertEquation(), librevenge::RVNGRawTextGenerator::insertEquation(), librevenge::RVNGRawDrawingGenerator::insertField(), librevenge::RVNGRawPresentationGenerator::insertField(), librevenge::RVNGRawSpreadsheetGenerator::insertField(), librevenge::RVNGRawTextGenerator::insertField(), librevenge::RVNGRawPresentationGenerator::insertMotionAnimation(), librevenge::RVNGCSVSpreadsheetGenerator::insertText(), librevenge::RVNGHTMLTextGenerator::insertText(), librevenge::RVNGRawDrawingGenerator::insertText(), librevenge::RVNGRawPresentationGenerator::insertText(), librevenge::RVNGRawSpreadsheetGenerator::insertText(), librevenge::RVNGRawTextGenerator::insertText(), librevenge::RVNGSVGDrawingGenerator::insertText(), librevenge::RVNGSVGPresentationGenerator::insertText(), librevenge::RVNGTextDrawingGenerator::insertText(), librevenge::RVNGTextPresentationGenerator::insertText(), librevenge::RVNGTextSpreadsheetGenerator::insertText(), librevenge::RVNGTextTextGenerator::insertText(), librevenge::RVNGString::Iter::Iter(), librevenge::RVNGRawPresentationGenerator::openAnimationGroup(), librevenge::RVNGRawPresentationGenerator::openAnimationIteration(), librevenge::RVNGRawPresentationGenerator::openAnimationSequence(), librevenge::RVNGRawPresentationGenerator::openChart(), librevenge::RVNGRawSpreadsheetGenerator::openChart(), librevenge::RVNGRawPresentationGenerator::openChartPlotArea(), librevenge::RVNGRawSpreadsheetGenerator::openChartPlotArea(), librevenge::RVNGRawSpreadsheetGenerator::openChartSerie(), librevenge::RVNGRawPresentationGenerator::openChartSeries(), librevenge::RVNGRawPresentationGenerator::openChartTextObject(), librevenge::RVNGRawSpreadsheetGenerator::openChartTextObject(), librevenge::RVNGRawSpreadsheetGenerator::openComment(), librevenge::RVNGRawTextGenerator::openComment(), librevenge::RVNGRawSpreadsheetGenerator::openEndnote(), librevenge::RVNGRawTextGenerator::openEndnote(), librevenge::RVNGTextTextGenerator::openEndnote(), librevenge::RVNGRawSpreadsheetGenerator::openFooter(), librevenge::RVNGRawTextGenerator::openFooter(), librevenge::RVNGRawSpreadsheetGenerator::openFootnote(), librevenge::RVNGRawTextGenerator::openFootnote(), librevenge::RVNGTextTextGenerator::openFootnote(), librevenge::RVNGRawSpreadsheetGenerator::openFrame(), librevenge::RVNGRawTextGenerator::openFrame(), librevenge::RVNGRawDrawingGenerator::openGroup(), librevenge::RVNGRawPresentationGenerator::openGroup(), librevenge::RVNGRawSpreadsheetGenerator::openGroup(), librevenge::RVNGRawTextGenerator::openGroup(), librevenge::RVNGSVGDrawingGenerator::openGroup(), librevenge::RVNGRawSpreadsheetGenerator::openHeader(), librevenge::RVNGRawTextGenerator::openHeader(), librevenge::RVNGHTMLTextGenerator::openLink(), librevenge::RVNGRawDrawingGenerator::openLink(), librevenge::RVNGRawPresentationGenerator::openLink(), librevenge::RVNGRawSpreadsheetGenerator::openLink(), librevenge::RVNGRawTextGenerator::openLink(), librevenge::RVNGRawDrawingGenerator::openListElement(), librevenge::RVNGRawPresentationGenerator::openListElement(), librevenge::RVNGRawSpreadsheetGenerator::openListElement(), librevenge::RVNGRawTextGenerator::openListElement(), librevenge::RVNGRawDrawingGenerator::openOrderedListLevel(), librevenge::RVNGRawPresentationGenerator::openOrderedListLevel(), librevenge::RVNGRawSpreadsheetGenerator::openOrderedListLevel(), librevenge::RVNGRawTextGenerator::openOrderedListLevel(), librevenge::RVNGRawSpreadsheetGenerator::openPageSpan(), librevenge::RVNGRawTextGenerator::openPageSpan(), librevenge::RVNGRawDrawingGenerator::openParagraph(), librevenge::RVNGRawPresentationGenerator::openParagraph(), librevenge::RVNGRawSpreadsheetGenerator::openParagraph(), librevenge::RVNGRawTextGenerator::openParagraph(), librevenge::RVNGRawSpreadsheetGenerator::openSection(), librevenge::RVNGRawTextGenerator::openSection(), librevenge::RVNGRawSpreadsheetGenerator::openSheet(), librevenge::RVNGRawSpreadsheetGenerator::openSheetCell(), librevenge::RVNGRawSpreadsheetGenerator::openSheetRow(), librevenge::RVNGRawDrawingGenerator::openSpan(), librevenge::RVNGRawPresentationGenerator::openSpan(), librevenge::RVNGRawSpreadsheetGenerator::openSpan(), librevenge::RVNGRawTextGenerator::openSpan(), librevenge::RVNGRawSpreadsheetGenerator::openTable(), librevenge::RVNGRawTextGenerator::openTable(), librevenge::RVNGRawDrawingGenerator::openTableCell(), librevenge::RVNGRawPresentationGenerator::openTableCell(), librevenge::RVNGRawSpreadsheetGenerator::openTableCell(), librevenge::RVNGRawTextGenerator::openTableCell(), librevenge::RVNGRawDrawingGenerator::openTableRow(), librevenge::RVNGRawPresentationGenerator::openTableRow(), librevenge::RVNGRawSpreadsheetGenerator::openTableRow(), librevenge::RVNGRawTextGenerator::openTableRow(), librevenge::RVNGRawSpreadsheetGenerator::openTextBox(), librevenge::RVNGRawTextGenerator::openTextBox(), librevenge::RVNGRawDrawingGenerator::openUnorderedListLevel(), librevenge::RVNGRawPresentationGenerator::openUnorderedListLevel(), librevenge::RVNGRawSpreadsheetGenerator::openUnorderedListLevel(), librevenge::RVNGRawTextGenerator::openUnorderedListLevel(), librevenge::RVNGBinaryData::RVNGBinaryData(), librevenge::RVNGRawDrawingGenerator::setDocumentMetaData(), librevenge::RVNGRawPresentationGenerator::setDocumentMetaData(), librevenge::RVNGRawSpreadsheetGenerator::setDocumentMetaData(), librevenge::RVNGRawTextGenerator::setDocumentMetaData(), librevenge::RVNGCSVSpreadsheetGenerator::setDTFormats(), librevenge::RVNGRawPresentationGenerator::setSlideTransition(), librevenge::RVNGRawDrawingGenerator::setStyle(), librevenge::RVNGRawPresentationGenerator::setStyle(), librevenge::RVNGSVGDrawingGeneratorPrivate::setStyle(), librevenge::RVNGRawPresentationGenerator::startComment(), librevenge::RVNGRawDrawingGenerator::startDocument(), librevenge::RVNGRawPresentationGenerator::startDocument(), librevenge::RVNGRawSpreadsheetGenerator::startDocument(), librevenge::RVNGRawTextGenerator::startDocument(), librevenge::RVNGRawDrawingGenerator::startEmbeddedGraphics(), librevenge::RVNGRawPresentationGenerator::startEmbeddedGraphics(), librevenge::RVNGRawDrawingGenerator::startLayer(), librevenge::RVNGRawPresentationGenerator::startLayer(), librevenge::RVNGSVGDrawingGenerator::startLayer(), librevenge::RVNGSVGPresentationGenerator::startLayer(), librevenge::RVNGRawDrawingGenerator::startMasterPage(), librevenge::RVNGRawPresentationGenerator::startMasterSlide(), librevenge::RVNGRawPresentationGenerator::startNotes(), librevenge::RVNGRawDrawingGenerator::startPage(), librevenge::RVNGRawPresentationGenerator::startSlide(), librevenge::RVNGRawDrawingGenerator::startTableObject(), librevenge::RVNGRawPresentationGenerator::startTableObject(), librevenge::RVNGRawDrawingGenerator::startTextObject(), librevenge::RVNGRawPresentationGenerator::startTextObject(), librevenge::DrawingSVG::stringToColour(), and librevenge::PresentationSVG::stringToColour().

## ◆ empty()

bool librevenge::RVNGString::empty | ( |  | ) | const

## ◆ escapeXML() [1/2]

RVNGString librevenge::RVNGString::escapeXML | ( | const char * | s | ) |
| static

Create a new string from s as escaped XML.

This function can be used instead of appendEscapedXML(const char*) in contexts where only a temporary string is needed.

See also
  appendEscapedXML(const char*)

## ◆ escapeXML() [2/2]

RVNGString librevenge::RVNGString::escapeXML | ( | const RVNGString & | s | ) |
| static

Create a new string from s as escaped XML.

This function can be used instead of appendEscapedXML(const RVNGString&) in contexts where only a temporary string is needed.

See also
  appendEscapedXML(const RVNGString&)

Referenced by librevenge::RVNGHTMLTextGenerator::insertText(), librevenge::RVNGSVGDrawingGenerator::insertText(), librevenge::RVNGSVGPresentationGenerator::insertText(), and librevenge::RVNGHTMLTextGenerator::openLink().

## ◆ len()

int librevenge::RVNGString::len | ( |  | ) | const

Return the number of UTF-8 characters.

See also
  size()

Referenced by librevenge::RVNGString::Iter::next(), and librevenge::RVNGSVGDrawingGeneratorPrivate::setStyle().

## ◆ operator!=() [1/2]

bool librevenge::RVNGString::operator!= | ( | const char * | s | ) | const
| inline

## ◆ operator!=() [2/2]

bool librevenge::RVNGString::operator!= | ( | const RVNGString & | str | ) | const
| inline

## ◆ operator<() [1/2]

bool librevenge::RVNGString::operator< | ( | const char * | s | ) | const

Referenced by operator<=(), operator<=(), operator>=(), and operator>=().

## ◆ operator<() [2/2]

bool librevenge::RVNGString::operator< | ( | const RVNGString & | str | ) | const

## ◆ operator<=() [1/2]

bool librevenge::RVNGString::operator<= | ( | const char * | s | ) | const
| inline

Referenced by operator>(), and operator>().

## ◆ operator<=() [2/2]

bool librevenge::RVNGString::operator<= | ( | const RVNGString & | str | ) | const
| inline

## ◆ operator=() [1/2]

RVNGString & librevenge::RVNGString::operator= | ( | const char * | s | ) |

## ◆ operator=() [2/2]

RVNGString & librevenge::RVNGString::operator= | ( | const RVNGString & | str | ) |

## ◆ operator==() [1/2]

bool librevenge::RVNGString::operator== | ( | const char * | s | ) | const

Referenced by operator!=(), operator!=(), operator<=(), and operator<=().

## ◆ operator==() [2/2]

bool librevenge::RVNGString::operator== | ( | const RVNGString & | str | ) | const

## ◆ operator>() [1/2]

bool librevenge::RVNGString::operator> | ( | const char * | s | ) | const
| inline

## ◆ operator>() [2/2]

bool librevenge::RVNGString::operator> | ( | const RVNGString & | str | ) | const
| inline

## ◆ operator>=() [1/2]

bool librevenge::RVNGString::operator>= | ( | const char * | s | ) | const
| inline

## ◆ operator>=() [2/2]

bool librevenge::RVNGString::operator>= | ( | const RVNGString & | str | ) | const
| inline

## ◆ size()

unsigned long librevenge::RVNGString::size | ( |  | ) | const

Return the size in bytes of the data buffer.

This is equivalent to `strlen(str.cstr())`

See also
  len()

Referenced by librevenge::RVNGBinaryData::appendBase64Data(), appendEscapedXML(), librevenge::RVNGCSVSpreadsheetGenerator::insertText(), and librevenge::RVNGBinaryData::RVNGBinaryData().

## ◆ sprintf()

void librevenge::RVNGString::sprintf | ( | const char * | format,
|  |  | ... )

Referenced by librevenge::RVNGIntProperty::getStr(), librevenge::RVNGTwipProperty::getStr(), librevenge::RVNGSVGDrawingGenerator::openGroup(), librevenge::RVNGSVGDrawingGenerator::startLayer(), and librevenge::RVNGSVGPresentationGenerator::startLayer().

## Member Data Documentation

## ◆ m_stringImpl

RVNGStringImpl* librevenge::RVNGString::m_stringImpl
| private

Referenced by append(), append(), append(), appendEscapedXML(), appendEscapedXML(), clear(), cstr(), empty(), len(), operator<(), operator<(), operator=(), operator=(), operator==(), operator==(), RVNGString(), RVNGString(), RVNGString(), RVNGString(), size(), and ~RVNGString().

The documentation for this class was generated from the following files:

- RVNGString.h
- RVNGString.cpp